summaryrefslogtreecommitdiffstats
path: root/contrib/dialog/samples/checklist-utf8
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/dialog/samples/checklist-utf8')
-rwxr-xr-xcontrib/dialog/samples/checklist-utf830
1 files changed, 30 insertions, 0 deletions
diff --git a/contrib/dialog/samples/checklist-utf8 b/contrib/dialog/samples/checklist-utf8
new file mode 100755
index 0000000..12ed723
--- /dev/null
+++ b/contrib/dialog/samples/checklist-utf8
@@ -0,0 +1,30 @@
+#! /bin/sh
+# $Id: checklist-utf8,v 1.12 2010/01/13 10:20:03 tom Exp $
+
+. ./setup-vars
+
+. ./setup-tempfile
+
+. ./setup-utf8
+
+$DIALOG --backtitle "No Such Organization" \
+ --title "CHECKLIST BOX" "$@" \
+ --checklist "Hi, this is a checklist box. You can use this to \n\
+present a list of choices which can be turned on or \n\
+off. If there are more items than can fit on the \n\
+screen, the list will be scrolled. You can use the \n\
+UP/DOWN arrow keys, the first letter of the choice as a \n\
+hot key, or the number keys 1-9 to choose an option. \n\
+Press SPACE to toggle an option on/off. \n\n\
+ Which of the following are fruits?" 20 61 5 \
+ "APPLE" "It's an APPLE." off \
+ "DOG" "No, that's not my DOG." ON \
+ "ORANGE" "Yeah, that's JUICY." off \
+ "CHICKEN" "Normally not a PET." off \
+ "CAT" "No, never put a DOG and a CAT together!" oN \
+ "FISH" "Cats like FISH." On \
+ "LEMON" "You KNOW how it TASTES." on 2> $tempfile
+
+retval=$?
+
+. ./report-tempfile
OpenPOWER on IntegriCloud